Links a connector to an agent.

Links an existing connector to the specified agent and returns the linked connector. Use [GET /agents/connectors](#/AgentRuntime/GetConnectors) to find a connector id. <Check title="Required Permissions" icon="key">The user must have manage access to the agent.</Check>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agentIdstringRequiredformat: "uuid"
The agent id.
connectorIdstringRequiredformat: "uuid"
The connector id.

Response

OK
idstringOptionalformat: "uuid"
The id of the entity.
createdOnstringOptionalformat: "date-time"
The date this entity was created.
createdBystringOptionalformat: "uuid"
The id of the user who created this entity.
updatedOnstringOptionalformat: "date-time"
The date this entity was last modified.
updatedBystringOptionalformat: "uuid"
The id of the user who last modified this entity.
namestring or nullOptional
The connector display name.
descriptionstring or nullOptional
The connector description.
urlstring or nullOptional
The custom connector URL.
presetKeystring or nullOptional
The predefined connector key.
endpointValueslist of objects or nullOptional
The safely displayable configured endpoint values.
logoPathstring or nullOptional
The preset logo path when this server matches a catalog preset.
statusstring or nullOptional
The aggregate connection status.
isSharedWithWorkspacebooleanOptional
Whether the connector is shared with the workspace.
isOwnerbooleanOptional
Whether the current user owns the connector.
currentUserConnectionStatusstring or nullOptional
The current user's connection status.
lastRefreshedOnstring or nullOptionalformat: "date-time"
When the server tools were last refreshed.
currentUserLastAuthenticatedOnstring or nullOptionalformat: "date-time"
When the current user last authenticated this server.
hasOAuthClientConfigurationbooleanOptional
Whether static OAuth client credentials are configured.
connectionModestring or nullOptional

The selected connection resolution mode for an agent-linked response.

connectionIdstring or nullOptionalformat: "uuid"
The selected specific connection, when applicable.
currentUserConnectionIdstring or nullOptionalformat: "uuid"

The connection selected by the current user for acting-user resolution.

connectionslist of objects or nullOptional
The connections visible to the current user.

Errors

401
Unauthorized Error
404
Not Found Error